Eclipse Remote Application Platform

## org.eclipse.swt.browser
Class ProgressEvent

    java.lang.Object
      SWTEventObject
          org.eclipse.swt.events.TypedEvent
              org.eclipse.swt.browser.ProgressEvent

    public class ProgressEvent

extends TypedEvent

A `ProgressEvent` is sent by a `Browser` to `ProgressListener`'s when a progress is made during the loading of the current URL or when the loading of the current URL has been completed.

Since:
  1.4

Field Summary
`int` `current` current value
`int` `total` total value

Fields inherited from class org.eclipse.swt.events.TypedEvent
`data, display, time, widget`

Method Summary
`java.lang.String` `toString()` Returns a string containing a concise, human-readable description of the receiver.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### current

    public int current

  current value

### total

    public int total

  total value

Method Detail

### toString

    public java.lang.String toString()

  Returns a string containing a concise, human-readable description of the receiver.

  Overrides:
    `toString` in class `TypedEvent`
  Returns:
    a string representation of the event

Eclipse Remote Application Platform

Copyright (c) EclipseSource and others 2002, 2013. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0